<template>
  <div>
    <Modal v-model="maintainStartTimeModal" width="430">
      <p slot="header">
        {{ modalTitle }}
      </p>
      <Row>
        <!--维护实际时间-->
        <Col span="24" />
        <Form
          id="edit-time-forms"
          ref="formObj"
          :model="formObj"
          :rules="ruleValidate"
          inline
          onsubmit="return false"
          :label-width="130"
        >
          <Form-item v-show="actTime" label="维护报废时间" prop="scrapDate">
            <DatePicker
              v-model="formObj.scrapDate"
              format="yyyy-MM-dd HH:mm"
              type="datetime"
              placement="bottom"
              placeholder="请选择有效期"
              style="width:245px"
              @on-change="_dateChange"
            />
          </Form-item>
        </Form>
        </Col>
      </Row>
      <div slot="footer">
        <Button type="ghost" style="margin-left: 8px" @click="_cancel">
          取消
        </Button>
        <Button type="info" @click="_ok">
          确定
        </Button>
      </div>
    </Modal>
  </div>
</template>

<script>
const defVal = {
  scrapDate: ''
}
export default {
  name: 'LmsMaintainStartTimeAct',

  data() {
    return {
      maintainStartTimeModal: false,
      modalTitle: '',
      types: '',
      actTime: true,
      selectIds: [],
      formObj: defVal,
      detailId: '',
      ruleValidate: {
        scrapDate: [
          { required: true, message: '维护报废时间不能为空', trigger: 'change' }
        ]
      }
    }
  },
  methods: {
    _open(ids, detailId) {
      this.$refs.formObj.resetFields()
      this.detailId = detailId
      this.modalTitle = '维护报废时间'
      this.maintainStartTimeModal = true
      this.selectIds = ids
    },
    _cancel() {
      this.maintainStartTimeModal = false
    },
    _ok() {
      this.$refs.formObj.validate(valid => {
        if (valid) {
          this._resultChange('保存成功!')
        }
      })
    },
    _resultChange(msg) {
      this.maintainStartTimeModal = false
      this.$Message.success(msg)
      this.$emit('on-result-change', this.formObj.scrapDate, 'scrapDate')
    },
    _dateChange(data) {
      this.formObj.scrapDate = data
    }
  }
}
</script>

<style scoped>
</style>
